<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="this.citizenService?.title ?? t(pageTitleKey)"
  [showBackButton]="true"
  [useContentFont]="true"
  [useMaximumBackground]="true"
  class="ion-page"
  titleLang="de"
>
  <ion-grid
    class="ion-no-padding flex-list-subsections"
    id="mainCitizenServices"
  >
    <ion-col *ngIf="!isConnected" class="error-card-content">
      <lib-connectivity-error-handling-card
        [show]="true"
        [title]="
          'feature_citizen_services.connectivity-error.title_details'
            | transloco
        "
      >
      </lib-connectivity-error-handling-card>
    </ion-col>

    @if (citizenService && isConnected) {
      <p class="description content-font" lang="de" translate="yes">
        {{ citizenService.description }}
      </p>
      <lib-custom-vertical-button
        class="custom-vertical-button"
        [startIcon]="'arrow_forward'"
        [colorScheme]="customButtonColorScheme.main"
        [buttonType]="customButtonType.link"
        [externalUrl]="citizenService.url"
        [title]="'feature_citizen_services.details_page.start' | transloco"
        (buttonClick)="openService($event, citizenService)"
      ></lib-custom-vertical-button>
      <ion-row class="icon-row">
        <lib-action-button-bar
          [actions]="[
            {
              icon: 'open_in_new',
              label: t('feature_citizen_services.details_page.open_in_new_tab'),
              onClick: openInBrowser.bind(this),
            },
            {
              icon: 'share',
              label: t('feature_citizen_services.details_page.share.title'),
              onClick: shareCitizenService.bind(this),
            },
          ]"
        >
        </lib-action-button-bar>
      </ion-row>
    }
  </ion-grid>
</lib-condensed-header-layout>
